ON_SurfaceArray Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_surface.h>`

Inheritance diagram for ON_SurfaceArray:

## Public Member Functions

| ON_SurfaceArray (int=0)
| ~ON_SurfaceArray ()
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
void | Destroy ()
ON_BOOL32 | Duplicate (ON_SurfaceArray &) const
Public Member Functions inherited from ON_SimpleArray< ON_Surface * >
| ON_SimpleArray ()
| ON_SimpleArray (int)
| ON_SimpleArray (const ON_SimpleArray< ON_Surface * > &)
virtual | ~ON_SimpleArray ()
virtual ON_SimpleArray< ON_Surface * > & | operator= (const ON_SimpleArray< ON_Surface * > &)
void | EmergencyDestroy (void)
int | Count () const
unsigned int | UnsignedCount () const
int | Capacity () const
unsigned int | SizeOfArray () const
unsigned int | SizeOfElement () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_Surface *& | operator[] (int)
ON_Surface *& | operator[] (unsigned int)
ON_Surface *& | operator[] (ON__INT64)
ON_Surface *& | operator[] (ON__UINT64)
const ON_Surface *& | operator[] (int) const
const ON_Surface *& | operator[] (unsigned int) const
const ON_Surface *& | operator[] (ON__INT64) const
const ON_Surface *& | operator[] (ON__UINT64) const
| operator ON_Surface ** ()
| operator const ON_Surface ** () const
ON_Surface ** | First ()
const ON_Surface ** | First () const
ON_Surface ** | At (int)
ON_Surface ** | At (unsigned int)
ON_Surface ** | At (ON__INT64)
ON_Surface ** | At (ON__UINT64)
const ON_Surface ** | At (int) const
const ON_Surface ** | At (unsigned int) const
const ON_Surface ** | At (ON__INT64) const
const ON_Surface ** | At (ON__UINT64) const
ON_Surface ** | Last ()
const ON_Surface ** | Last () const
ON_Surface *& | AppendNew ()
void | Append (const ON_Surface *&)
void | Append (int, const ON_Surface **)
void | Insert (int, const ON_Surface *&)
void | Remove ()
virtual void | Remove (int)
void | Empty ()
void | Reverse ()
void | Swap (int, int)
int | Search (const ON_Surface *&) const
int | Search (const ON_Surface **, int(*)(const ON_Surface **, const ON_Surface **)) const
int | BinarySearch (const ON_Surface **, int(*)(const ON_Surface **, const ON_Surface **)) const
int | BinarySearch (const ON_Surface **, int(*)(const ON_Surface **, const ON_Surface **), int) const
bool | HeapSort (int(*)(const ON_Surface **, const ON_Surface **))
bool | QuickSort (int(*)(const ON_Surface **, const ON_Surface **))
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_Surface **, const ON_Surface **)) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_Surface **, const ON_Surface **, void *), void *) const
bool | Permute (const int *)
void | Zero ()
void | MemSet (unsigned char)
void | Reserve (int)
void | Shrink ()
void | Destroy ()
virtual ON_Surface ** | Realloc (ON_Surface **, int)
ON_Surface ** | Array ()
const ON_Surface ** | Array () const
void | SetCount (int)
void | SetCapacity (int)
int | NewCapacity () const
ON_Surface ** | KeepArray ()
void | SetArray (ON_Surface **)
void | SetArray (ON_Surface **, int, int)

## Additional Inherited Members

Protected Member Functions inherited from ON_SimpleArray< ON_Surface * >
void | Move (int, int, int)
Protected Attributes inherited from ON_SimpleArray< ON_Surface * >
ON_Surface ** | m_a
int | m_count
int | m_capacity

## Detailed Description

Definition at line 904 of file opennurbs_surface.h.

## Constructor & Destructor Documentation

ON_SurfaceArray::ON_SurfaceArray | ( | int | = `0` | ) |

ON_SurfaceArray::~ON_SurfaceArray | ( |  | ) |

## Member Function Documentation

void ON_SurfaceArray::Destroy | ( |  | ) |

ON_BOOL32 ON_SurfaceArray::Duplicate | ( | ON_SurfaceArray & |  | ) | const

ON_BOOL32 ON_SurfaceArray::Read | ( | ON_BinaryArchive & |  | ) |

ON_BOOL32 ON_SurfaceArray::Write | ( | ON_BinaryArchive & |  | ) | const

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_surface.h